<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/TransferCreditsExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//create action
//$action = $API->addCreditsToDongle('00000001', 1);
//$action = $API->subtractCreditsFromUser('Test', 10);
$action = $API->addCreditsToUser('Test', 10);

//test mode is on for demo purposes. Comment out in production!
$action->testModeOn();

//submit info to API server and get message object
$message = $action->submit();

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';
