<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/createUserExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//Set new user information
//valid user name (a-zA-Z0-9._- 5-16 long), credits to add and whatever new user
//will be reseller or not
//will have timed license or not
//password will be generated and returned
$username = 'newdemousername';
$credits = 2;
$reseller = false;
$license_id = 0; // see getTimedLicenseList(); 0 = no license
$action = $API->createNewUser($username, $credits, $reseller, $license_id);
    
//test mode is on for demo purposes. Comment out in production!
$action->TestModeOn();

//submit info to API server and get message object
$message = $action->submit();

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';
