<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/getDongleSupportStatusExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//create action object
$action = $API->information();

//set dongle name
$action->checkDongle('013241d9');

//set to get dongle support status
$action->getDongleSupportStatus();

//submit info to API server and get message object
$message = $action->submit();

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';
