<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/getPrices.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//get information action object
$action = $API->information();

$action->getDongleActivationList(); // request dongle activations
//$action->getDongleSupportList(); // request dongle support list
//$action->getTimedLicenseList(); // request times license list
//$action->getFeaturesList(); // request features list

//submit info to API server and get message object
$message = $action->submit();

/*
 * Chaining methods is also possible
 * 
 * $message = $API->information()
 *                ->getDongleActivationList()
 *                ->submit();
 */

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';

