<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/ActiveDongleExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//activate dongle
$action = $API->activateDongle(); // Dongle type is auto detected
//$action = $API->activateVygisDongle(); //Activate Vygis Dongle 
//$action = $API->activateInfinityDongle(); //Activate Infinity Dongle 
//$action = $API->activateRockerDongle(); //activate Rocker dongle 

//set Dongle name
$action->dongleName('00000001');

//set activation type: full or lite
$action->activationFull();      
//$action->activationLite();

//test mode is on for demo purposes. Comment out in production!
$action->testModeOn();

//submit info to API server and get message object
$message = $action->submit();

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';
