<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/checkCreditsExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//get information action object
$action = $API->information();

//Set userName or Dongle HID to check
//If omited, then checked your own (API user) credit amount
$action->checkDongle('00000001');
//$action->checkUser('Test');

//set to check remaining credits amount for selected user / dongle
$action->creditsLeft();      

//submit info to API server and get message object
$message = $action->submit();

//show results. Result is array type
$results = $message->get_response();

echo 'Results: <pre>'.print_r($results, true).'</pre>';
